Issue 60107

Summary: Fade Smoothly transition doesn't work.
Product: Impress Reporter: fishb8 <reuben.m>
Component: viewingAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: andraz.tori1, issues, rodo
Version: OOo 2.0.1   
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description fishb8 2006-01-06 04:10:56 UTC
When using the "fade smoothly" transition, the preview works fine, but fails
when the actual slide show is running. Bug is present in both 2.0.0 and 2.0.1.
Comment 1 wolframgarten 2006-01-06 11:08:50 UTC
Reassigned.
Comment 2 christian.guenther 2006-01-13 10:34:43 UTC
Set to new and change the target.
Comment 3 christian.guenther 2006-01-13 11:29:49 UTC
In my mind the effect also works in the presentation but the performance is bad.
Can we made the running effect more smooth so that we can see a fade and not
only switching between 2 colors?
Please have a look.
Comment 4 thb 2006-01-13 11:40:53 UTC
@cgu: yes - use DirectX/OpenGL for output (which is currently SO-only).
Comment 5 fishb8 2007-02-03 17:27:15 UTC
I saw that this issue was still open, perhaps you could consider using the X
Composite Extension on *nix based systems since it is becomming more and more
common, and offers very nice transitions without hammering the CPU.
Comment 6 thb 2007-02-05 09:06:53 UTC
@fishb8: well, the composite extension wouldn't really change the game that much
- using Xrender should pretty much suffice. Using Xrender from VCL in a way that
will speed up this specific effect poses technical problems, though. But there's
a cairo-based implementation of the slideshow render backend available, e.g. if
you use Debian-native OOo packages. Given a capable driver, this backend is much
faster on those transitions.
Comment 7 fishb8 2007-02-06 01:45:36 UTC
@thb I'm building mine from Gentoo's portage, and I have the cairo option turned
on but it is still dog slow. Am I missing something? Everything is fairly up to
date. I'm using OOo 2.1.0, cairo 1.3.10 and a recent nvidia driver.
Comment 8 thb 2007-02-06 09:28:00 UTC
@fishb8: have seen cairo canvas running on top of XGL, also on nvidia hardware.
And that seriously kicked ass, I'd say running at least with 30fps. At any rate,
cairo is still known to have performance issues here and there, depending on the
x server behind it. Did you try the closed-source nvidia drivers?
Comment 9 fishb8 2007-02-07 02:37:23 UTC
@thb: Yes, I'm using the closed source nvidia drivers, and the latest release of
xorg-server 1.2. Everything works great, I've even been using Beryl for my
window manager for the last month or so. But OOo Impress is still as painfully
slow as it was a year ago. I've built cairo with glitz backend... I can't think
of anything else.

Gentoo's portage doesn't do any serious patching before compiling. There's a
couple small one's but they're mostly branding. It's pretty much vanilla.

I made the composit extension suggestion because I thought maybe you could
render a slide on the secondary buffer and then fade between the two buffers
when doing transitions.
Comment 10 thb 2007-02-07 09:23:26 UTC
@rodo: any other magic/patches you did to your system to make fade run smoothly?
Comment 11 thb 2012-07-13 20:51:22 UTC
Reset to default assignee.